%global srcname fudge
%global common_desc \
Fudge is a Python module for using fake objects (mocks and stubs) \
to test real ones.\

# Python 3 support is currently broken
%global with_python3 0

Name: python-%{srcname}
Version: 1.1.0
Release: 4%{?dist}
Summary: A Python module for using fake objects (mocks and stubs) to test real ones

License: MIT
URL:     http://farmdev.com/projects/fudge/
Source0: https://pypi.python.org/packages/source/f/fudge/fudge-%{version}.tar.gz

BuildArch: noarch


%description
%{common_desc}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires: python2-devel 
BuildRequires: python2-setuptools
BuildRequires: python2-nose

%description -n python2-%{srcname}
%{common_desc}

%if 0%{?with_python3}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-devel 
BuildRequires: python3-setuptools
BuildRequires: python3-nose

%description -n python3-%{srcname}
%{common_desc}

%endif

%prep 
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
#%%{__python2} setup.py test
#%%{__python3} setup.py test
 
%files -n python2-%{srcname}
%license LICENSE.txt
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}*.egg-info

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info
%endif

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-3
- Rebuild for Python 3.6

* Fri Dec 16 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.1.0-2
- Disable Py3 support since it's broken

* Fri Dec 16 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0
- Revamp spec

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 24 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-6
- Add conditional to exclude EL since does not have py3

* Mon Nov 17 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-5
- Add python3 support

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-3
- Use more strict python macros

* Sun Mar 30 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.3-2
- Specify python version in the build requirement
- Remove unused macros
- Enable the test suite

* Sat Mar 15 2014 Athmane Madjoudj <athmane@fedoraproject.org>  1.0.3-1
- Initial spec.

